Bullet Collision Detection & Physics Library: btPersistentManifoldFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btPersistentManifoldFloatData Struct Reference

`#include <btPersistentManifold.h>`

Collaboration diagram for btPersistentManifoldFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_pointCacheLocalPointA [4]
btVector3FloatData | m_pointCacheLocalPointB [4]
btVector3FloatData | m_pointCachePositionWorldOnA [4]
btVector3FloatData | m_pointCachePositionWorldOnB [4]
btVector3FloatData | m_pointCacheNormalWorldOnB [4]
btVector3FloatData | m_pointCacheLateralFrictionDir1 [4]
btVector3FloatData | m_pointCacheLateralFrictionDir2 [4]
float | m_pointCacheDistance [4]
float | m_pointCacheAppliedImpulse [4]
float | m_pointCachePrevRHS [4]
float | m_pointCacheCombinedFriction [4]
float | m_pointCacheCombinedRollingFriction [4]
float | m_pointCacheCombinedSpinningFriction [4]
float | m_pointCacheCombinedRestitution [4]
int | m_pointCachePartId0 [4]
int | m_pointCachePartId1 [4]
int | m_pointCacheIndex0 [4]
int | m_pointCacheIndex1 [4]
int | m_pointCacheContactPointFlags [4]
float | m_pointCacheAppliedImpulseLateral1 [4]
float | m_pointCacheAppliedImpulseLateral2 [4]
float | m_pointCacheContactMotion1 [4]
float | m_pointCacheContactMotion2 [4]
float | m_pointCacheContactCFM [4]
float | m_pointCacheCombinedContactStiffness1 [4]
float | m_pointCacheContactERP [4]
float | m_pointCacheCombinedContactDamping1 [4]
float | m_pointCacheFrictionCFM [4]
int | m_pointCacheLifeTime [4]
int | m_numCachedPoints
int | m_companionIdA
int | m_companionIdB
int | m_index1a
int | m_objectType
float | m_contactBreakingThreshold
float | m_contactProcessingThreshold
int | m_padding
btCollisionObjectFloatData * | m_body0
btCollisionObjectFloatData * | m_body1

## Detailed Description

Definition at line 318 of file btPersistentManifold.h.

## Member Data Documentation

## ◆ m_body0

btCollisionObjectFloatData* btPersistentManifoldFloatData::m_body0

Definition at line 360 of file btPersistentManifold.h.

## ◆ m_body1

btCollisionObjectFloatData* btPersistentManifoldFloatData::m_body1

Definition at line 361 of file btPersistentManifold.h.

## ◆ m_companionIdA

int btPersistentManifoldFloatData::m_companionIdA

Definition at line 351 of file btPersistentManifold.h.

## ◆ m_companionIdB

int btPersistentManifoldFloatData::m_companionIdB

Definition at line 352 of file btPersistentManifold.h.

## ◆ m_contactBreakingThreshold

float btPersistentManifoldFloatData::m_contactBreakingThreshold

Definition at line 356 of file btPersistentManifold.h.

## ◆ m_contactProcessingThreshold

float btPersistentManifoldFloatData::m_contactProcessingThreshold

Definition at line 357 of file btPersistentManifold.h.

## ◆ m_index1a

int btPersistentManifoldFloatData::m_index1a

Definition at line 353 of file btPersistentManifold.h.

## ◆ m_numCachedPoints

int btPersistentManifoldFloatData::m_numCachedPoints

Definition at line 350 of file btPersistentManifold.h.

## ◆ m_objectType

int btPersistentManifoldFloatData::m_objectType

Definition at line 355 of file btPersistentManifold.h.

## ◆ m_padding

int btPersistentManifoldFloatData::m_padding

Definition at line 358 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulse

float btPersistentManifoldFloatData::m_pointCacheAppliedImpulse[4]

Definition at line 328 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulseLateral1

float btPersistentManifoldFloatData::m_pointCacheAppliedImpulseLateral1[4]

Definition at line 339 of file btPersistentManifold.h.

## ◆ m_pointCacheAppliedImpulseLateral2

float btPersistentManifoldFloatData::m_pointCacheAppliedImpulseLateral2[4]

Definition at line 340 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedContactDamping1

float btPersistentManifoldFloatData::m_pointCacheCombinedContactDamping1[4]

Definition at line 346 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedContactStiffness1

float btPersistentManifoldFloatData::m_pointCacheCombinedContactStiffness1[4]

Definition at line 344 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedFriction

float btPersistentManifoldFloatData::m_pointCacheCombinedFriction[4]

Definition at line 330 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedRestitution

float btPersistentManifoldFloatData::m_pointCacheCombinedRestitution[4]

Definition at line 333 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedRollingFriction

float btPersistentManifoldFloatData::m_pointCacheCombinedRollingFriction[4]

Definition at line 331 of file btPersistentManifold.h.

## ◆ m_pointCacheCombinedSpinningFriction

float btPersistentManifoldFloatData::m_pointCacheCombinedSpinningFriction[4]

Definition at line 332 of file btPersistentManifold.h.

## ◆ m_pointCacheContactCFM

float btPersistentManifoldFloatData::m_pointCacheContactCFM[4]

Definition at line 343 of file btPersistentManifold.h.

## ◆ m_pointCacheContactERP

float btPersistentManifoldFloatData::m_pointCacheContactERP[4]

Definition at line 345 of file btPersistentManifold.h.

## ◆ m_pointCacheContactMotion1

float btPersistentManifoldFloatData::m_pointCacheContactMotion1[4]

Definition at line 341 of file btPersistentManifold.h.

## ◆ m_pointCacheContactMotion2

float btPersistentManifoldFloatData::m_pointCacheContactMotion2[4]

Definition at line 342 of file btPersistentManifold.h.

## ◆ m_pointCacheContactPointFlags

int btPersistentManifoldFloatData::m_pointCacheContactPointFlags[4]

Definition at line 338 of file btPersistentManifold.h.

## ◆ m_pointCacheDistance

float btPersistentManifoldFloatData::m_pointCacheDistance[4]

Definition at line 327 of file btPersistentManifold.h.

## ◆ m_pointCacheFrictionCFM

float btPersistentManifoldFloatData::m_pointCacheFrictionCFM[4]

Definition at line 347 of file btPersistentManifold.h.

## ◆ m_pointCacheIndex0

int btPersistentManifoldFloatData::m_pointCacheIndex0[4]

Definition at line 336 of file btPersistentManifold.h.

## ◆ m_pointCacheIndex1

int btPersistentManifoldFloatData::m_pointCacheIndex1[4]

Definition at line 337 of file btPersistentManifold.h.

## ◆ m_pointCacheLateralFrictionDir1

btVector3FloatData btPersistentManifoldFloatData::m_pointCacheLateralFrictionDir1[4]

Definition at line 325 of file btPersistentManifold.h.

## ◆ m_pointCacheLateralFrictionDir2

btVector3FloatData btPersistentManifoldFloatData::m_pointCacheLateralFrictionDir2[4]

Definition at line 326 of file btPersistentManifold.h.

## ◆ m_pointCacheLifeTime

int btPersistentManifoldFloatData::m_pointCacheLifeTime[4]

Definition at line 348 of file btPersistentManifold.h.

## ◆ m_pointCacheLocalPointA

btVector3FloatData btPersistentManifoldFloatData::m_pointCacheLocalPointA[4]

Definition at line 320 of file btPersistentManifold.h.

## ◆ m_pointCacheLocalPointB

btVector3FloatData btPersistentManifoldFloatData::m_pointCacheLocalPointB[4]

Definition at line 321 of file btPersistentManifold.h.

## ◆ m_pointCacheNormalWorldOnB

btVector3FloatData btPersistentManifoldFloatData::m_pointCacheNormalWorldOnB[4]

Definition at line 324 of file btPersistentManifold.h.

## ◆ m_pointCachePartId0

int btPersistentManifoldFloatData::m_pointCachePartId0[4]

Definition at line 334 of file btPersistentManifold.h.

## ◆ m_pointCachePartId1

int btPersistentManifoldFloatData::m_pointCachePartId1[4]

Definition at line 335 of file btPersistentManifold.h.

## ◆ m_pointCachePositionWorldOnA

btVector3FloatData btPersistentManifoldFloatData::m_pointCachePositionWorldOnA[4]

Definition at line 322 of file btPersistentManifold.h.

## ◆ m_pointCachePositionWorldOnB

btVector3FloatData btPersistentManifoldFloatData::m_pointCachePositionWorldOnB[4]

Definition at line 323 of file btPersistentManifold.h.

## ◆ m_pointCachePrevRHS

float btPersistentManifoldFloatData::m_pointCachePrevRHS[4]

Definition at line 329 of file btPersistentManifold.h.

The documentation for this struct was generated from the following file:

- btPersistentManifold.h